package com.yonge.cooleshow.biz.dal.dto.search;

import com.yonge.cooleshow.biz.dal.enums.StudentCourseEnum;
import com.yonge.toolset.mybatis.page.QueryInfo;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.NotNull;

/**
 * Description 直播课学生详情 直播课详情 上课信息查询字段
 *
 * @author liujunchi
 * @date 2022-04-20
 */
@ApiModel("直播课学生详情 直播课详情 上课信息查询字段")
public class LiveCourseGroupStudentCourseSearch extends QueryInfo {

    @ApiModelProperty(value = "课程组编号",required = true)
    @NotNull(message = "课程组编号不能为空")
    private Long courseGroupId;

    @ApiModelProperty(value = "学生id",required = true)
    @NotNull(message = "学生编号不能为空")
    private Long studentId;

    @ApiModelProperty("课程编号")
    private String courseId;

    @ApiModelProperty("到课状态 TRUANT：旷课 ATTENDCLASS:到课 NOTSTART:未开始")
    private StudentCourseEnum status;

    public Long getCourseGroupId() {
        return courseGroupId;
    }

    public void setCourseGroupId(Long courseGroupId) {
        this.courseGroupId = courseGroupId;
    }

    public String getCourseId() {
        return courseId;
    }

    public void setCourseId(String courseId) {
        this.courseId = courseId;
    }

    public StudentCourseEnum getStatus() {
        return status;
    }

    public void setStatus(StudentCourseEnum status) {
        this.status = status;
    }

    public Long getStudentId() {
        return studentId;
    }

    public void setStudentId(Long studentId) {
        this.studentId = studentId;
    }
}
